/*------------------------------------------------------------------------------

	  Sample.r	-  Resources for the Simula Windowsystem Application

	  Copyright Lund Software AB, 1989
	  All rights reserved.

------------------------------------------------------------------------------*/

#include "Types.r"

/* These define's are used in the MENU resources to disable specific
   menu items. */
#define AllItems	0b1111111111111111111111111111111	/* 31 flags */
#define MenuItem1	0b00001
#define MenuItem2	0b00010
#define MenuItem3	0b00100
#define MenuItem4	0b01000
#define MenuItem5	0b10000

resource 'WIND' (128, "Sim Window") {
	{64, 60, 314, 460},
	documentProc, visible, noGoAway, 0x0, "Sim Window"
};

resource 'DLOG' (128, "About Simula") {
	{66, 102, 224, 400},
	dBoxProc, visible, noGoAway, 0x0, 128, ""
};

resource 'DITL' (128) {
	 {
/* 1 */ {130, 205, 150, 284},
		button {
			enabled,
			"Continue"
		};
/* 2 */ {104, 144, 120, 296},				/* SourceLanguage Item */
		staticText {
			disabled,
			""
		};
/* 3 */ {88, 144, 105, 218},				/* Author Item */
		staticText {
			disabled,
			""
		};
/* 4 */ {8, 16, 26, 273},
		staticText {
			disabled,
			"This Sample program was developed"
		};
/* 5 */ {32, 16, 50, 273},
		staticText {
			disabled,
			"using the Lund SIMULA system"
		};
/* 6 */ {56, 16, 74, 281},
		staticText {
			enabled, "Copyright  1989 Lund Software House AB"
		};
/* 7 */ {88, 16, 104, 273},
		staticText {
			enabled, "Lund Software House AB"
		};
/* 8 */ {104, 16, 120, 273},
		staticText {
			enabled, "Box 7056, S-220 07 Lund, Sweden"
		}
	}
};

resource 'MENU' (129, "File", preload) {
	129, textMenuProc,
	allEnabled,
	enabled, "File",
	{
		"Quit",
			noicon, "Q", nomark, plain
	}
};

resource 'MENU' (130, "Edit", preload) {
	130, textMenuProc,
	AllItems & ~(MenuItem1 | MenuItem2),	/* Disable items #1 & #2 */
	enabled, "Edit",
	 {
		"Undo",
			noicon, "Z", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Cut",
			noicon, "X", nomark, plain;
		"Copy",
			noicon, "C", nomark, plain;
		"Paste",
			noicon, "V", nomark, plain;
		"Clear",
			noicon, nokey, nomark, plain
	}
};


resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0040 0400 00E0 0E00 01F0 1F00 01F0 1F00"
		$"01F1 1F00 01F3 9F00 01F1 1F00 01F1 1F00"
		$"01F3 9F00 01F7 DF00 01FF FF00 01FF FF00"
		$"01FF FF00 01FF FF00 01FF FF00 01FF FF00"
		$"01FF FF00 01FF FF00 01FF FF00 01FF FF00"
		$"01FF FF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'BNDL' (128) {
	'LUND',
	0,
	{
		'ICN#',
		{
			0, 128
		},
		'FREF',
		{
			0, 128
		}
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

data 'LUND' (0, protected) {
	$"3D4C 756E 6420 5369 6D75 6C61 2053 7973"        /* =Lund Simula Sys */
	$"7465 6D2E 2043 6F70 7972 6967 6874 2031"        /* tem. Copyright 1 */
	$"3938 392E 204C 756E 6420 536F 6674 7761"        /* 989. Lund Softwa */
	$"7265 2048 6F75 7365 5377 6564 656E"             /* re HouseSweden */
};